<template>
    <div class="pre-option-list">
        <table>
            <thead>
            <tr>
                <th>状态名称</th>
                <th>状态</th>
            </tr>
            </thead>
            <tbody>
            <tr v-for="(item, key) in list" :key="'key'+key">
                <td>{{item.label}}</td>
                <td>
                    <el-switch v-model="item.value" @change="changeOption(item)"></el-switch>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</template>

<script>
import MwSwitch from '@/components/smallModule/mwSwitch.vue';
import {changePreOption, checkPrecondition} from "@/pages/test/js/api";
export default {
    name: "preOptionList",
    props: {
        type: {
            type: String,
            default: ""
        }
    },
    components: {
        MwSwitch
    },
    data() {
        return {
            list: [
                {
                    id: 1,
                    key: 1,
                    label: '进线屏开关状态',
                    value: true,
                    on: 1,
                    off: 0
                },
                {
                    id: 2,
                    label: '大功率整流电源电压',
                    value: true,
                    on: 500,
                    off: 400
                },
                {
                    id: 3,
                    label: '直流配电板A排电压',
                    value: true,
                    on: 500,
                    off: 400
                },
                {
                    id: 4,
                    label: '直流配电板B排电压',
                    value: true,
                    on: 0,
                    off: 100
                },
                {
                    id: 5,
                    label: '油站',
                    value: true,
                    on: 1,
                    off: 0
                },
                {
                    id: 6,
                    label: '水站',
                    value: true,
                    on: 1,
                    off: 0
                },
                {
                    id: 7,
                    label: '被试电机通讯',
                    value: true,
                    on: 1,
                    off: 0
                },
            ]
        }
    },
    methods: {
        checkPrecondition() {
            checkPrecondition(this.type).then(res => {
                let rs = res.data;
                let data = [];
                if (rs.code != 0) {
                    data = rs.data;
                }
                data.map(item=>{
                    for(let i=0; i<this.list.length; i++) {
                        if(item.name == this.list[i].label) {
                            this.list[i].value = item.status?true: false;
                        }
                    }
                });
            }).catch(error => {
                this.loading = false;
                console.log(error);
            });
        },
        changeOption(data) {
            let value = data.value?data.on:data.off;
            changePreOption(data.id, value).then(res=>{
                let rs = res.data;
                if(rs.code == 1) {
                    this.$layer.msg("修改成功");
                }else {
                    this.$layer.msg("修改失败");
                }
                this.$nextTick(()=>{
                    this.checkPrecondition();
                });
            }).catch(error=>{

            });
        }
    },
    mounted() {
        this.checkPrecondition();
    }
}
</script>

<style scoped>
.pre-option-list {
    font-size: 16px;
    color: #FFFFFF;
}
.pre-option-list table {
    width: 100%;
    border-collapse: collapse;
}

.pre-option-list table th,
.pre-option-list table td {
    border: 2px solid #6261CB;
    padding: 8px 8px;
    text-align: center;
}
.pre-option-list table th {
    color: #FFF034;
    border-top: 2px solid #797979;
    border-left: 2px solid #797979;
    border-right: 2px solid #797979;
}
</style>